Name: tmake
Version: 1.7
Release: 8
Summary: Makefile generator
URL: http://www.trolltech.com/products/download/freebies/tmake.html
Source: ftp://ftp.trolltech.com/freebies/tmake/%{name}-%{version}.tar.bz2
Source1: elinux-g++.tar.bz2
Patch: tmake-1.7-redhat.patch
License: GPL
Group: Development/Tools
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%description
tmake is an easy-to-use tool from Trolltech to create and maintain
makefiles for software projects. It can be a painful task to manage makefiles
manually, especially if you develop for more than one platform or use more
than one compiler. tmake automates and streamlines this process and lets you
spend your valuable time on writing code, not makefiles.

%prep
%setup
%patch -p1 -b .redhat

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_datadir}/tmake
install -m 755 bin/tmake $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/progen $RPM_BUILD_ROOT%{_bindir}
cp -aR lib/* $RPM_BUILD_ROOT%{_datadir}/tmake
cd $RPM_BUILD_ROOT%{_datadir}/tmake
tar xjf %{SOURCE1}

%files
%defattr(-,root,root)
%{_bindir}/tmake
%{_bindir}/progen
%dir %{_datadir}/tmake
%{_datadir}/tmake/*
%doc doc/m-linux-gcc.html doc/tmake.html doc/tmake_ref.html example README LICENSE CHANGES


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com>
- Rebuild, use macros for dirs.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jul 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.7-3
- Build for Red Hat Linux 7.2

* Tue Jan 23 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add elinux-g++ target for linux with Qt/Embedded
- Add TMAKE_ARCH environment variable to allow quick
  switching between linux-g++ and elinux-g++

* Fri Dec 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
